Subject: Re: [PATCH 0/4] meson: parse TAP output generated by our tests

From: Junio C Hamano <[email-masked]>
Date: Tue, 27 May 2025 09:04:55 -0700

Patrick Steinhardt <[email-masked]> writes:

>> > I don't think it's inherently a bad thing to fail on unexpected passes.
>> > After all, it shows that our assumption that the test fails is broken,
>> > and that we should have a look why that is. But I can see arguments both
>> > ways.
>> 
>> As Phillip noted, treating them as ordinary passes undermines the reason
>> for having them.
>
> Yup, and I tend to agree.

OK.  So perhaps Make-driven CI jobs also follow suit?  In the same
run that osx-meson job failed, osx-gcc job notices a passed TODO and
happily declares "All tests successful.".

https://github.com/git/git/actions/runs/15221271947/job/42817168362#step:4:1933